## Find an API key

Retrieve details about a specific API key in your merchant account. This
endpoint returns information about the key's:

- Name and description
- Current status (enabled or disabled)

The key ID required by this endpoint is the same ID that was returned when you created
the key using the `generate-key` endpoint.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/find-key HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  key_id: string,
}
```

Returns: object

## Request arguments

### `key_id` (string)

**Required**. The unique identifier of the API key to look up. This is the ID that was
returned when you created the key using the create-key endpoint.

## Response attributes

### `key_id` (string)

**Always present**. The ID of the key. This can be used as an argument to `find-key`.

### `key` (string)

**Always present**. The secret key. It will only be shown once as a response to `generate-key`. Subsequent calls using `find-key` will display `MASKED` instead.

### `name` (string)

**Always present**. The name of the key that you provided when creating it.

### `revoked` (boolean)

**Always present**. Whether the key is revoked. If it is revoked, it cannot be used to make API requests.

### `created_at` (number)

**Always present**. The timestamp of the key creation as a Unix timestamp.

### `permissions` (array)

**Always present**. Permission tokens granted to this key.

Possible values:

- `manage_contacts`
- `manage_developer_settings`
- `manage_disputes`
- `manage_payouts`
- `manage_settings`
- `manage_team`
- `manage_terminals`
- `manage_transactions`
- `view_contacts`
- `view_disputes`
- `view_payouts`
- `view_settings`
- `view_statements`
- `view_team`
- `view_transactions`

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no API key with the provided ID exists in your merchant
account. Double check that you're using the correct key ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
